package com.trade.client.trade.salesorder.controller;

import javax.annotation.Resource;
import javax.validation.constraints.NotNull;

import com.trade.client.security.utils.UserUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.trade.common.core.domain.ResponseResult;
import com.trade.service.trade.salesorder.service.ICustomsDeclarationService;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationSearch;

/**
 * <p>
 * 报关单信息 前端控制器
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-19
 */
@RestController
@RequestMapping("/customsDeclaration")
public class CustomsDeclarationController {

    @Resource
    private ICustomsDeclarationService customsDeclarationService;

    /**
     * 获取报关单列表
     */
    @RequestMapping("/queryList")
    public Object queryList(CustomsDeclarationSearch search) {
        search.setCustomerUserId(UserUtils.getCustomerUserId());
        return ResponseResult.success(customsDeclarationService.queryListBySearch(search));
    }

    /**
     * 根据订单id获取报关单详情
     */
    @RequestMapping("/getDetailById")
    public Object getDetailById(@NotNull(message = "ID不能为空") Long id) {
        return ResponseResult.success(customsDeclarationService.getDetailById(id));
    }
}
